name2ctype.h File Reference

Go to the source code of this file.

## Data Structures

struct | uniname2ctype_struct
struct | uniname2ctype_pool_t

## Macros

#define | long size_t
#define | CR_Alpha CR_Alphabetic
#define | CR_Cntrl CR_Cc
#define | CR_Digit CR_Nd
#define | CR_Lower CR_Lowercase
#define | CR_Punct CR_P
#define | CR_Space CR_White_Space
#define | CR_Upper CR_Uppercase
#define | CR_XDigit CR_ASCII_Hex_Digit
#define | TOTAL_KEYWORDS 15
#define | MIN_WORD_LENGTH 4
#define | MAX_WORD_LENGTH 7
#define | MIN_HASH_VALUE 7
#define | MAX_HASH_VALUE 21
#define | uniname2ctype_pool ((const char *) &uniname2ctype_pool_contents)

## Functions

static struct uniname2ctype_struct * | uniname2ctype_p (const char *, unsigned int)
static unsigned int | uniname2ctype_hash (str, len) register const char *str
struct uniname2ctype_struct * | uniname2ctype_p (str, len) register const char *str
| if (len<=MAX_WORD_LENGTH &&len >=MIN_WORD_LENGTH)
static int | uniname2ctype (const UChar *name, unsigned int len)

## Variables

static const OnigCodePoint | CR_Age_1_1 []
static const OnigCodePoint | CR_Age_2_0 []
static const OnigCodePoint | CR_Age_2_1 []
static const OnigCodePoint | CR_Age_3_0 []
static const OnigCodePoint | CR_Age_3_1 []
static const OnigCodePoint | CR_Age_3_2 []
static const OnigCodePoint | CR_Age_4_0 []
static const OnigCodePoint | CR_Age_4_1 []
static const OnigCodePoint | CR_Age_5_0 []
static const OnigCodePoint | CR_Age_5_1 []
static const OnigCodePoint | CR_Age_5_2 []
static const OnigCodePoint | CR_Age_6_0 []
static const OnigCodePoint | CR_NEWLINE []
static const OnigCodePoint | CR_Blank []
static const OnigCodePoint | CR_Graph []
static const OnigCodePoint | CR_Print []
static const OnigCodePoint | CR_Word []
static const OnigCodePoint | CR_Alnum []
static const OnigCodePoint | CR_ASCII []
static const OnigCodePoint *const | CodeRanges []
register unsigned int | len
return len asso_values[(unsigned char) str[2]] | asso_values [(unsigned char) str[0]]
static struct uniname2ctype_pool_t | uniname2ctype_pool_contents
| return

## Macro Definition Documentation

#define CR_Alpha CR_Alphabetic

Definition at line 19864 of file name2ctype.h.

#define CR_Cntrl CR_Cc

Definition at line 19881 of file name2ctype.h.

#define CR_Digit CR_Nd

Definition at line 19884 of file name2ctype.h.

#define CR_Lower CR_Lowercase

Definition at line 20398 of file name2ctype.h.

#define CR_Punct CR_P

Definition at line 20909 of file name2ctype.h.

#define CR_Space CR_White_Space

Definition at line 20912 of file name2ctype.h.

#define CR_Upper CR_Uppercase

Definition at line 20915 of file name2ctype.h.

#define CR_XDigit CR_ASCII_Hex_Digit

Definition at line 20918 of file name2ctype.h.

#define long size_t

Definition at line 37 of file name2ctype.h.

Referenced by BigDecimal_load(), BigDecimal_mode(), bigfixize(), copy_stream_fallback_body(), crypt(), datetime_s_now(), each_cons_i(), each_slice_i(), econv_primitive_convert(), eventloop_sleep(), filetime_to_timeval(), flo_ceil(), flo_floor(), flo_truncate(), getpage(), gzreader_gets(), int_round_0(), io_encname_bom_p(), ip_eval(), ip_invoke_with_position(), ip_rb_threadTkWaitCommand(), ip_rb_threadUpdateCommand(), ip_rb_threadVwaitCommand(), lib_eventloop_core(), lib_watchdog_core(), limited_rand(), long_mul(), obj_ivar_i(), pack_unpack(), r_long(), rb_ary_sample(), rb_big_pack(), rb_chsize(), rb_cstr_to_inum(), rb_econv_substr_append(), rb_io_ctl(), rb_require_safe(), rb_str_sum(), rb_w32_getppid(), rbtk_EventSetupProc(), ruby_strtoul(), scan_digits(), sdbm_prep(), set_max_block_time(), setdbit(), signbit(), sort_2(), time_mload(), tk_funcall(), and w_long().

#define MAX_HASH_VALUE 21

Definition at line 22189 of file name2ctype.h.

#define MAX_WORD_LENGTH 7

Definition at line 22187 of file name2ctype.h.

Referenced by reg_named_capture_assign_iter().

#define MIN_HASH_VALUE 7

Definition at line 22188 of file name2ctype.h.

#define MIN_WORD_LENGTH 4

Definition at line 22186 of file name2ctype.h.

#define TOTAL_KEYWORDS 15

Definition at line 22185 of file name2ctype.h.

#define uniname2ctype_pool ((const char *) &uniname2ctype_pool_contents)

Definition at line 23112 of file name2ctype.h.

Referenced by if().

## Function Documentation

if | ( | len<=MAX_WORD_LENGTH &&len >= | MIN_WORD_LENGTH | ) |

Definition at line 23841 of file name2ctype.h.

References uniname2ctype_struct::name, uniname2ctype_hash(), and uniname2ctype_pool.

Referenced by concat_left_node_opt_info(), CreateChild(), gc_mark_children(), getaddrinfo(), getnameinfo(), io_reopen(), iseq_insns_unification(), iseq_set_arguments(), name_add(), names_clear(), onig_foreach_name(), onig_memsize(), onig_names_free(), onig_number_of_names(), onig_renumber_name_table(), parse_char_class(), parse_enclose(), rb_syck_load_handler(), rb_syck_output_handler(), rb_thread_call_with_gvl(), rb_w32_select_with_thread(), set_optimize_map_info(), syck_emitter_emit(), and VpSqrt().

static int uniname2ctype | ( | const UChar * | name,
|  | unsigned int | len
| ) |  |

static

Definition at line 23861 of file name2ctype.h.

References uniname2ctype_struct::ctype, p, and uniname2ctype_p().

Referenced by onigenc_unicode_property_name_to_ctype().

static unsigned int uniname2ctype_hash | ( | str | ,
|  | len |
| ) |  | const

static

Referenced by if().

static struct uniname2ctype_struct* uniname2ctype_p | ( | const char * | ,
|  | unsigned | int
| ) |  |

static read

Referenced by uniname2ctype().

struct uniname2ctype_struct* uniname2ctype_p | ( | str | ,
|  | len |
| ) |  | const

read

## Variable Documentation

return len asso_values [(unsigned char)str[2]] asso_values[(unsigned char) str[0]]

Definition at line 22211 of file name2ctype.h.

Referenced by hash().

const OnigCodePoint* const CodeRanges[]

static

Definition at line 21959 of file name2ctype.h.

Referenced by onigenc_unicode_ctype_code_range(), and onigenc_unicode_is_code_ctype().

const OnigCodePoint CR_Age_1_1[]

static

Definition at line 14975 of file name2ctype.h.

const OnigCodePoint CR_Age_2_0[]

static

Definition at line 15268 of file name2ctype.h.

const OnigCodePoint CR_Age_2_1[]

static

Definition at line 15585 of file name2ctype.h.

const OnigCodePoint CR_Age_3_0[]

static

Definition at line 15902 of file name2ctype.h.

const OnigCodePoint CR_Age_3_1[]

static

Definition at line 16276 of file name2ctype.h.

const OnigCodePoint CR_Age_3_2[]

static

Definition at line 16683 of file name2ctype.h.

const OnigCodePoint CR_Age_4_0[]

static

Definition at line 17085 of file name2ctype.h.

const OnigCodePoint CR_Age_4_1[]

static

Definition at line 17502 of file name2ctype.h.

const OnigCodePoint CR_Age_5_0[]

static

Definition at line 17937 of file name2ctype.h.

const OnigCodePoint CR_Age_5_1[]

static

Definition at line 18382 of file name2ctype.h.

const OnigCodePoint CR_Age_5_2[]

static

Definition at line 18842 of file name2ctype.h.

const OnigCodePoint CR_Age_6_0[]

static

Definition at line 19342 of file name2ctype.h.

const OnigCodePoint CR_Alnum[]

static

Definition at line 21440 of file name2ctype.h.

const OnigCodePoint CR_ASCII[]

static

Initial value:
= {
1,
0x0000, 0x007f,
}

Definition at line 21954 of file name2ctype.h.

const OnigCodePoint CR_Blank[]

static

Initial value:
= {
9,
0x0009, 0x0009,
0x0020, 0x0020,
0x00a0, 0x00a0,
0x1680, 0x1680,
0x180e, 0x180e,
0x2000, 0x200a,
0x202f, 0x202f,
0x205f, 0x205f,
0x3000, 0x3000,
}

Definition at line 19867 of file name2ctype.h.

const OnigCodePoint CR_Graph[]

static

Definition at line 19887 of file name2ctype.h.

const OnigCodePoint CR_NEWLINE[]

static

Initial value:
= {
1,
0x000a, 0x000a,
}

Definition at line 19858 of file name2ctype.h.

const OnigCodePoint CR_Print[]

static

Definition at line 20401 of file name2ctype.h.

const OnigCodePoint CR_Word[]

static

Definition at line 20921 of file name2ctype.h.

register unsigned int len

Definition at line 22210 of file name2ctype.h.

Referenced by add_compile_string_length(), addrinfo_mload(), allocate_converted_string(), alt_merge_opt_exact_info(), append_utf8(), appendline(), ary_len_of_dim(), ary_resize_capa(), assoc2kv(), assoc2kv_enc(), Balloc(), big2str_karatsuba(), big2str_orig(), big2ulong(), big5_left_adjust_char_head(), big_lshift(), bigadd(), BigDecimal_split(), bigfixize(), bignew_1(), bigsqr_fast(), bigtrunc(), BSD__sfvwrite(), bsock_getpeername(), bsock_getsockname(), bsock_getsockopt(), bug_str_cstr_term(), caller_setup_args(), cbsubst_get_all_subst_keys(), cbsubst_get_subst_arg(), cbsubst_get_subst_key(), cbsubst_sym_to_subst(), cbsubst_table_setup(), clsid_from_remote(), coderange_scan(), compile_anchor_node(), compile_array_(), compile_enclose_node(), compile_length_anchor_node(), compile_length_cclass_node(), compile_length_enclose_node(), compile_length_quantifier_node(), compile_length_string_node(), compile_length_tree(), compile_string_node(), compile_tree(), compile_warn_print(), concat_opt_exact_info(), concat_opt_exact_info_str(), CONF_get1_default_config_file(), convert_encoding(), convert_UTF32_to_UTF8(), copy_stream_body(), cp949_left_adjust_char_head(), date_strftime_alloc(), date_strftime_internal(), decode_bstr(), decorate_convpath(), delete_slaves(), dimension(), dlhandle_sym(), enum_cycle(), enum_drop(), enum_first(), enum_take(), env_has_value(), env_key(), env_rassoc(), envix(), error_print(), etc_systmpdir(), euckr_left_adjust_char_head(), euctw_left_adjust_char_head(), expand_case_fold_string(), expand_case_fold_string_alt(), file_expand_path(), flo_to_s(), fole_s_create_guid(), foletypelib_guid(), foletypelib_initialize(), folevariant_initialize(), fun_so_universal_newline(), gb18030_mbc_to_code(), gbk_left_adjust_char_head(), gc_mark_children(), get_char_length_tree1(), get_system_directory(), getnameinfo(), glob_helper(), global_id(), gzfile_getc(), gzfile_read_header(), gzfile_ungets(), hash(), hash2ptr_dispparams(), i_apply_case_fold(), iconv_convert(), init_addrinfo(), init_copy(), init_env(), inspect1(), inspect2(), inspect_struct(), int_pair_to_real_inclusive(), invoke_tcl_proc(), io_binwrite(), io_bufread(), io_fread(), io_fwrite(), io_getpartial(), io_nread(), io_read(), io_shift_cbuf(), io_ungetbyte(), ip_addr(), ip_invoke_core(), ip_peeraddr(), ip_ruby_cmd(), ip_ruby_cmd_receiver_get(), ip_ruby_eval(), is_batch(), is_not_included(), iseq_build_from_ary_body(), iseq_data_to_ary(), iseq_set_sequence(), ivar_get(), join_argv(), join_path(), JSON_parse_float(), JSON_parse_integer(), left_adjust_char_head(), lib_conv_listelement(), lib_fromUTF8_core(), lib_merge_tklist(), limited_big_rand(), load_transcoder_entry(), make_replacement(), make_seed_value(), make_struct(), match_at(), match_inspect(), mbc_case_fold(), mbc_to_code(), mbstr_to_wstr(), memcmp(), mime_putc(), mk_ary_of_str(), mktime_do(), more_output_buffer(), moreswitches(), nfc_getc(), nkf_buf_at(), nogvl_copy_stream_read_write(), ole_const_load(), ole_mb2wc(), ole_method_params(), ole_search_event(), ole_search_event_at(), ole_type_guid(), ole_val2olevariantdata(), ole_variables(), ole_vstr2wc(), oleparam_ole_param_from_index(), onig_error_code_to_str(), onig_is_code_in_cc(), onig_strcpy(), onig_vsnprintf_with_pattern(), onigenc_mbn_mbc_case_fold(), onigenc_mbn_mbc_to_code(), onigenc_minimum_property_name_to_ctype(), onigenc_str_bytelen_null(), onigenc_strlen_null(), onigenc_unicode_get_case_fold_codes_by_str(), onigenc_unicode_mbc_case_fold(), onigenc_unicode_property_name_to_ctype(), open_dir_handle(), opendir_internal(), ossl_asn1_decode(), ossl_asn1_decode0(), ossl_asn1_decode_all(), ossl_asn1_traverse(), ossl_asn1prim_to_der(), ossl_bn_to_s(), ossl_cipher_set_key_length(), ossl_dh_compute_key(), ossl_dh_to_der(), ossl_dsa_to_der(), ossl_make_error(), ossl_pem_passwd_cb(), ossl_pkcs12_to_der(), ossl_pkcs7_add_data(), ossl_pkcs7_to_der(), ossl_rsa_to_der(), ossl_spki_to_der(), ossl_ssl_read_internal(), ossl_ssl_session_to_der(), ossl_x509_to_der(), ossl_x509attr_to_der(), ossl_x509ext_to_der(), ossl_x509name_to_der(), ossl_x509req_to_der(), overlapped_socket_io(), pack_pack(), pack_unpack(), parse_char_class(), parse_exp(), parse_mode_enc(), parser_encode_length(), parser_here_document(), parser_heredoc_identifier(), parser_magic_comment(), parser_parse_string(), parser_tokadd_mbchar(), parser_tokaddmbc(), parser_whole_match_p(), parser_yyerror(), quad_buf_complement(), r_bytes0(), r_ivar(), r_object0(), rand_init(), random_load(), rb_ary_aref(), rb_ary_aset(), rb_ary_cmp(), rb_ary_combination(), rb_ary_delete_at(), rb_ary_fill(), rb_ary_initialize(), rb_ary_join(), rb_ary_length(), rb_ary_modify(), rb_ary_plus(), rb_ary_repeated_combination(), rb_ary_reverse_each(), rb_ary_reverse_m(), rb_ary_rotate(), rb_ary_rotate_m(), rb_ary_sample(), rb_ary_slice_bang(), rb_ary_splice(), rb_ary_take(), rb_ary_times(), rb_ary_unshift_m(), rb_ary_zip(), rb_big2str0(), rb_big_clone(), rb_big_pack(), rb_big_unpack(), rb_cstr_to_inum(), rb_dlptr_aref(), rb_dlptr_aset(), rb_dlptr_to_s(), rb_dlptr_to_str(), rb_econv_convert0(), rb_econv_insert_output(), rb_econv_set_replacement(), rb_econv_substr_append(), rb_enc_symname2_p(), rb_feature_p(), rb_file_join(), rb_file_s_extname(), rb_get_values_at(), rb_gzreader_read(), rb_gzreader_readpartial(), rb_intern3(), rb_io_advise(), rb_io_ctl(), rb_io_getline_fast(), rb_io_s_popen(), rb_io_sysread(), rb_io_ungetc(), rb_iseq_disasm_insn(), rb_iseq_translate_threaded_code(), rb_ivar_set(), rb_obj_inspect(), rb_quad_pack(), rb_random_bytes(), rb_range_beg_len(), rb_reg_expr_str(), rb_reg_init_copy(), rb_reg_initialize_m(), rb_reg_nth_match(), rb_reg_to_s(), rb_str_append(), rb_str_aref(), rb_str_aset(), rb_str_casecmp(), rb_str_cat(), rb_str_chomp_bang(), rb_str_chop_bang(), rb_str_concat(), rb_str_drop_bytes(), rb_str_dump(), rb_str_each_char(), rb_str_each_line(), rb_str_format(), rb_str_hash_cmp(), rb_str_index(), rb_str_justify(), rb_str_length(), rb_str_resize(), rb_str_rindex(), rb_str_rindex_m(), rb_str_rstrip_bang(), rb_str_set_len(), rb_str_split_m(), rb_str_sub_bang(), rb_str_subpat_set(), rb_str_substr(), rb_str_sum(), rb_str_times(), rb_str_to_dbl(), rb_str_to_inum(), rb_strftime_alloc(), rb_struct_aref_id(), rb_struct_aset_id(), rb_struct_getmember(), rb_struct_set(), rb_syck_io_str_read(), rb_syck_mktime(), rb_w32_aspawn_flags(), rb_w32_cmdvector(), rb_w32_conv_from_wstr(), rb_w32_getcwd(), rb_w32_getenv(), rb_w32_getppid(), rb_w32_read(), rb_w32_spawn(), rb_w32_write(), rb_write_error2(), read_escaped_byte(), recursive_cmp(), recursive_eql(), recursive_equal(), recursive_hash(), recvmsg(), reduce0(), reg_get_val(), reg_named_capture_assign_iter(), report_bug(), rotate_count(), rsock_connect(), rsock_s_accept(), rsock_s_recvfrom(), rsock_s_recvfrom_nonblock(), ruby__sfvwrite(), RUBY_ALIAS_FUNCTION(), ruby_brace_expand(), ruby_each_words(), ruby_setenv(), ruby_strtoul(), ruby_xrealloc2(), sendmsg(), set_bm_backward_skip(), set_bm_skip(), set_encoding_const(), setproctitle(), setup_look_behind(), setup_tree(), SHA1_Update(), sock_accept(), sock_accept_nonblock(), sock_sysaccept(), socketpair_internal(), str_buf_cat(), str_byte_substr(), str_dup(), str_end_with_asciichar(), str_gsub(), str_make_independent_expand(), str_new(), str_replace(), str_strlen(), strftimev(), string2hex(), strio_getc(), strio_read(), strio_truncate(), strio_ungetc(), strio_write(), strscan_getch(), strscan_inspect(), strscan_peek(), swap_node(), syck_base64dec(), syck_check_limit(), syck_emit_literal(), syck_emitter_add_level(), syck_emitter_escape(), syck_emitter_write(), syck_io_file_read(), syck_io_str_read(), syck_match_implicit(), syck_new_str2(), syck_parser_add_level(), syck_parser_read(), syck_parser_readlen(), syck_parser_str(), syck_replace_str2(), syck_scan_scalar(), sym_inspect(), time_mload(), time_strftime(), tkstr_to_str(), to_ascii(), trans_sweep(), unescape_unicode_bmp(), unescape_unicode_list(), universal_newline_finish(), update_string_node_case_fold(), utf16le_mbc_enc_len(), vm_expandarray(), vm_getivar(), vm_setivar(), vm_yield_setup_block_args_complex(), w_long(), w_object(), w_objivar(), warn_print(), wstati64(), wstr_to_mbstr(), xmalloc2_size(), zstream_append_buffer(), zstream_buffer_ungets(), and zstream_shift_buffer().

return

Definition at line 23857 of file name2ctype.h.

Referenced by alt_merge_opt_exact_info(), alt_merge_opt_map_info(), CC_DUP_WARN(), CC_ESC_WARN(), CLOSE_BRACKET_WITHOUT_ESC_WARN(), concat_opt_exact_info(), onig_node_free(), onig_reduce_nested_quantifier(), select_opt_exact_info(), select_opt_map_info(), and UNKNOWN_ESC_WARN().

struct uniname2ctype_pool_t uniname2ctype_pool_contents

static

Definition at line 22698 of file name2ctype.h.